Game device testing overview

These procedures test your product for proper functionality under the Windows® XP Professional operating system. You must run all of the standard game tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility (HCT) tools.

Click to show or hide information. Standard game tests

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Driver Verifier - Game
  • Enable/Disable - Device I/O
  • DirectInput Game
  • Public Import
  • Signability
  • Surprise Removal

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 1 hour

Click to show or hide information. Hardware requirements

The following hardware is required to run the Game Devices HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One test game device

If the device supports USB, two game devices are needed to run the USB Serial Number test.

  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • Display adapter capable of supporting 640x480x8 bpp to 1280x1024x24 bpp resolution
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following hardware is required to run the Game Devices HCT kit.

  • Any drivers that do not ship with Windows XP Professional

Drivers must make the product fully functional. This includes rudder pedals, steering wheels, and other accessories.

  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for game devices, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Click to show or hide information. Development resources

  • Microsoft® DirectX® Software Development Kit (DirectX SDK) application programming interface and software
  • Microsoft DirectX Driver Development Kit (DirectX DDK) application programming interface and software

Related links

Preparing for game device testing

Microsoft Windows HCL


Preparing for game device testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Game device testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for game device testing for the Windows XP Professional operating system.

To configure the test system for game testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the test device and any accessories on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

Related links

Game testing overview


DirectInput Game test

This test performs several levels of compatibility testing between the test device and the DirectInput® application programming interface (API).

Run time: 15 minutes

Log file name: joydrv.log

Operating system: Windows® XP Professional

Related links

Running the DirectInput Game test


Keyboard testing overview

The following procedures test your product for proper functionality under the Windows® XP Professional operating system. You must run all of the standard keyboard tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

Note: The Keyboard HCT cannot be used to test keyboards with additional functionality such as a Fingerprint Reader, Credit Card Reader, or other devices that are not included in existing WHQL test programs. Please contact Input WHQL support at icthelp@microsoft.com for more information.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility (HCT) tools.

Click to show or hide information. Standard keyboard tests

These tests are required for all keyboard test devices, and can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • Driver Verifier - Keyboard
  • Public Import
  • Signability
  • Surprise Removal
  • Winkey Media
  • Winkey One-Key Combination
  • Winkey Two-Key Combination
  • Winkey Three-Key Combination

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 3 to 3.5 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run Keyboard HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

For external keyboards
  • One external test keyboard

If the device supports USB, two external keyboards are needed to run the USB Serial Number test.

  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

For keyboards embedded in a laptop system
  • One laptop system with test keyboard

Click to show or hide information. Software requirements

The following software is required to run the Keyboard HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for keyboards, testers must know how to do the following tasks:

  • Physically install the test device, if necessary.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Related links

Preparing for keyboard testing

Microsoft Windows HCL


Preparing for keyboard testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Keyboard testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for keyboard testing for the Windows XP Professional operating system.

To configure the test system for keyboard testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the test device, if necessary, on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

To delete the Windows logon password

  1. Click the Start button and click Control Panel.
  2. In the Control Panel window, click User Accounts.
  3. In the User Accounts dialog box, select the user in the Users for this computer list box, and then click Set Password.
  4. Delete the Windows logon password, if necessary, and click OK.
  5. Close the User Accounts dialog box and the Control Panel window.

Related links

Keyboard testing overview


Winkey Media test

This test verifies the compatibility of the keyboard with the system during an upgrade from Windows® 2000 to Windows XP Professional. Windows 2000 has predefined scan codes for the buttons tested in the Media Key test (with the exception of the Media, Calculator, and My Computer buttons); therefore, if a device outputs the Windows Support Scan Code/HID Usage ID, then no driver will be necessary for those functions in Windows XP Professional.

This test determines if the keyboard outputs the correct usage IDs to take advantage of predefined scan code support.

Run time: 1 minute

Log file name: Wkmedia_[n].txt

Operating system: Windows XP Professional

Related links

Running the Winkey Media test


Winkey One-Key Combination test

This test verifies that the test keyboard functions correctly when any one key is pressed.

Run time: 2 minutes

Log file name: Wkhct01_[n].txt

Operating system: Windows® XP Professional

Related links

Running the Winkey One-Key Combination test


Winkey Two-Key Combination test

This test verifies that the test keyboard functions correctly when any two-key combination is pressed.

This test is required if the Windows Logo key and Application key are present on the test keyboard.

Run time: 10 minutes

Log file name: wkhct02_[n].txt

Operating system: Windows® XP Professional

Related links

Running the Winkey Two-Key Combination test


Winkey Three-Key Combination test

This test verifies that the test keyboard functions correctly when any three-key combination is pressed.

This test is required if the Windows Logo key and Application keys are present on the test keyboard.

Run time: 30 minutes

Log file name: wkhct03_[n].txt

Operating system: Windows® XP Professional

Related links

Running the Winkey Three-Key Combination test


Keyboard-video-mouse switch testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP Professional operating system. You must run all of the standard keyboard-video-mouse switch tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility (HCT) tools.

Click to show or hide information. Standard keyboard-video-mouse switch tests

These tests are required for all test keyboard-video-mouse switches, and can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • DirectInput Mouse
  • Driver Verifier - KVM
  • Display Data Channel
  • Mouse Functionality
  • Refresh Rate
  • Surprise Removal
  • Winkey Media
  • Winkey One-Key Combination
  • Winkey Two-Key Combination
  • Winkey Three-Key Combination

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 3 to 4 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Keyboard-Video-Mouse Switch HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One test keyboard-video-mouse switch
  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • One available serial port

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Keyboard-Video-Mouse Switch HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for keyboard-video-mouse switch, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the manufacturer-supplied device drivers for the test device, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Related links

Preparing for keyboard-video-mouse switch testing

Microsoft Windows HCL


Preparing for keyboard-video-mouse switch testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Keyboard-video-mouse testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for keyboard-video-mouse switch testing for the Windows XP Professional operating system.

To configure the test system for keyboard-video-mouse switch testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the test device on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

Related links

Keyboard-video-mouse switch testing overview


DirectInput Mouse test

This test performs several levels of compatibility testing between the test device and the DirectInput® application programming interface (API).

Run time: 2 minutes

Log file name: mousedrv_[n].log

Operating system: Windows® XP Professional

Related links

Running the DirectInput Mouse test


Mouse Functionality test

This test verifies the functionality of all mouse buttons and movements.

Run time: 1 minute

Log file name: mouse_[n].log

Operating system: Windows® XP Professional

Related links

Running the Mouse Functionality test


Pointing and drawing device testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP Professional operating system. You must run all of the standard pointing and drawing tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility (HCT) tools.

Click to show or hide information. Standard pointing and drawing tests

These tests are required for all pointing and drawing devices, and can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • ChkINF
  • DirectInput Mouse
  • Driver Verifier - Pointing and Drawing
  • Enable/Disable - Device I/O
  • Mouse Functionality
  • Public Import
  • Signability
  • Surprise Removal

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 30 minutes

Click to show or hide information. Hardware requirements

The following hardware is required to run the Pointing and Drawing Devices HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

For external pointing and drawing devices in desktop systems
  • One external pointing and drawing device

If the device supports USB, two external pointing and drawing devices are needed to run the USB Serial Number test.

  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • Minimum 24x speed CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor
  • One keyboard

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

For pointing and drawing devices embedded in laptop systems
  • One laptop system with embedded test device

Click to show or hide information. Software requirements

The following software is required to run the Pointing and Drawing Devices HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for pointing and drawing, testers must know how to do the following tasks:

  • Physically install the test device, if necessary.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Click to show or hide information. Development resources

  • Microsoft DirectX® Software Development Kit (DirectX SDK) application programming interface and software
  • Microsoft DirectX Driver Development Kit (DirectX DDK) application programming interface and software

Related Links

Preparing for pointing and drawing device testing

Microsoft Windows HCL


Preparing for pointing and drawing device testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Pointing and drawing testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for pointing and drawing device testing for the Windows XP Professional operating system.

To configure the test system for pointing and drawing device testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the test device, if necessary, on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

Related links

Pointing and drawing device testing overview


Smart card reader testing overview

These procedures test your product for proper functionality under the Windows® XP Professional operating system. You must run the tests that are appropriate for the test device.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility (HCT) tools.

Click to show or hide information. Smart Card reader tests

These tests can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • Card Reader
  • ChkINF
  • Driver Verifier - Smart Card
  • Enable/Disable - Device I/O
  • Public Import
  • Signability
  • Surprise Removal

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 1 hour

Click to show or hide information. Hardware requirements

The following hardware is required to run the Smart Card Readers HCT kit

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One test device

If the device supports USB, two test devices are needed to run the USB Serial Number test.

  • One PC/SC Compliance Test Card Set

Test your product with the smart cards included in the PC/SC Compliance Test Card Set. Do not include these smart cards with your test submission.

Note: United States Customs duties may be applied to your order.

  • One Intel Pentium, or equivalent, test system that includes the following:
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Smart Card Readers HCT kit.

  • Commercial third-party applications, if applicable
  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for smart card readers, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the commercial third-party applications, if applicable.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP 10.0.

Related links

Preparing for smart card reader testing

Microsoft Windows HCL
PC/SC Workgroup Web site.


Preparing for smart card reader testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Smart card reader testing overview

Test system configuration

The HCT kit requires the following to prepare the test system for smart card reader testing for the Windows XP Professional operating system.

To configure the test system for smart card reader testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Install the test device on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

Related links

Smart card reader testing overview


Card Reader test

This test verifies the functionality of the smart card reader by validating the PC/SC Working Group compliance cards.

Run time: 20 minutes

Log file name: Ifdtest.log

Operating system: Windows® XP Professional

Windows logo requirement: B5.6.4.4, "Reader supports required capabilities"

Hardware requirements

One PC/SC Compliance Test Card Set

This card set can be purchased from the PC/SC Workgroup Web site.

Related links

Running the Card Reader test

PC/SC Workgroup


Running the DirectInput Game test

To run the DirectInput Game test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DirectInput Game test and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to move the joystick around until the test is completed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Winkey Media test

To install the Winkey diagnostic driver

Important: It is not necessary to install the Winkey diagnostic driver if it was previously installed and was not uninstalled using the Winkey test application.

  1. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Media, and then click Add Selection.
  2. Click Start Tests.
  3. In the Winkey Keyboard Test window, click Install Driver.
  4. Follow the instructions displayed to install the Winkey diagnostic driver.
  5. When the installation is complete, restart the test system.

To run the Winkey Media test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Media, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Keyboard.
  5. In the WHQL Winkey Keyboard Test window, a diagram of the test keyboard is displayed. If the test keyboard does not support all keys displayed in the diagram, remove the unsupported key(s) by clicking the corresponding key(s) on the diagram. The key(s) on the diagram change color from gray to brown when removed.

Tip: To add a key back, click the key on the diagram again. The key on the diagram changes color from brown to gray when the key is added back to the test keyboard.

  6. Follow the directions displayed in the lower pane of the Winkey Keyboard Test window to press the required keys until the test is completed. The required keys are blue to indicate the key to press on the test keyboard. When the correct key is pressed on the test keyboard, the key on the diagram changes color from blue to green.

Tip: To restart a test and delete the test log, in the Winkey Keyboard Test window, click Clear. Follow the instructions displayed.

  7. After all required keys are pressed, click OK to indicate that the test passed.

If the test keyboard is USB-capable, it may be necessary to unplug it from the test system and then plug it back into the system to conclude the test.

  8. Click Exit.
  9. When the test is completed, view test log files.
  10. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

To uninstall the Winkey diagnostic driver

Important: It is not necessary to uninstall the Winkey diagnostic driver between Winkey test runs; however, be sure to uninstall it after all Winkey tests have completed. False failures will result if the Winkey diagnostic driver has not been uninstalled before running tests other than Winkey.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Media, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Uninstall Driver.
  5. Follow the instructions displayed to uninstall the Winkey diagnostic driver.
  6. When the uninstall is complete, restart the test system.


Winkey Power test

Important: This test is not available for your test device in the Windows® XP HCT 10.0.

This test verifies the correct output of power management keys.

This test is required if your test keyboard implements one or more power, sleep, or wake function keys. This includes keyboards embedded in laptop systems with power management buttons routed through the I8042 controller.

If the test keyboard contains power management keys and the test logs indicate these keys have been skipped during testing, the keyboard will fail the test.

Run time: 1 minute

Log file name: Wkhctpwr_[n].txt

Operating system: Windows® XP Professional

Related links

Running the Winkey Power test


Running the Winkey Power test

Important: This test is not available for your test device in the Windows® XP HCT 10.0.

To install the Winkey diagnostic driver

Important: It is not necessary to install the Winkey diagnostic driver if it was previously installed and was not uninstalled using the Winkey test application.

  1. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Power, and then click Add Selection.
  2. Click Start Tests.
  3. In the Winkey Keyboard Test window, click Install Driver.
  4. Follow the instructions displayed to install the Winkey diagnostic driver.
  5. When the installation is complete, restart the test system.

To run the Winkey Power test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Power, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Keyboard.
  5. In the WHQL Winkey Keyboard Test window, a diagram of the test keyboard is displayed. If the test keyboard does not support all keys displayed in the diagram, remove the unsupported key(s) by clicking the corresponding key(s) on the diagram. The key(s) on the diagram change color from gray to brown when removed.

Tip: To add a key back, click the key on the diagram again. The key on the diagram changes color from brown to gray when the key is added back to the test keyboard.

  6. Follow the directions displayed in the lower pane of the Winkey Keyboard Test window to press the required keys until the test is completed. The required keys are blue to indicate the key to press on the test keyboard. When the correct key is pressed on the test keyboard, the key on the diagram changes color from blue to green.

Tip: To restart a test and delete the test log, in the Winkey Keyboard Test window, click Clear. Follow the instructions displayed.

  7. After all required keys are pressed, click OK to indicate that the test passed.

If the test keyboard is USB-capable, it may be necessary to unplug it from the system and then plug it back into the system to conclude the test.

  8. Click Exit.
  9. When the test is completed, view test log files.
  10. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

To uninstall the Winkey diagnostic driver

Important: It is not necessary to uninstall the Winkey diagnostic driver between Winkey test runs, however, be sure to uninstall it after all Winkey tests have completed. False failures will result if the Winkey diagnostic driver has not be uninstalled before running tests other than Winkey.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Power, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Uninstall Driver.
  5. Follow the instructions displayed to uninstall the Winkey diagnostic driver.
  6. When the uninstall is complete, restart the test system.


Running the Winkey One-Key Combination test

To install the Winkey diagnostic driver

Important: It is not necessary to install the Winkey diagnostic driver if it was previously installed and was not uninstalled using the Winkey test application.

  1. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey One-Key Combination, and then click Add Selection.
  2. Click Start Tests.
  3. In the Winkey Keyboard Test window, click Install Driver.
  4. Follow the instructions displayed to install the Winkey diagnostic driver.
  5. When the installation is complete, restart the test system.

To run the Winkey One-Key Combination test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey One-Key Combination, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Keyboard.
  5. In the WHQL Winkey Keyboard Test window, a diagram of the test keyboard is displayed. If the test keyboard does not support all keys displayed in the diagram, remove the unsupported key(s) from the test run by clicking the corresponding key (s) on the diagram. The key(s) on the diagram change color from gray to brown when removed from the test run.

Tip: To add a key back in the test run, click the key on the diagram again. The key on the diagram changes color from brown to gray when the key is added back in the test run.

  6. Follow the directions displayed in the lower pane of the Winkey Keyboard Test window to press the required keys until the test is completed. The required keys are blue to indicate the key to press on the test keyboard. When the correct key is pressed on the test keyboard, the key on the diagram changes color from blue to green.

Tip: To restart a test and delete the test log, in the Winkey Keyboard Test window, click Clear. Follow the instructions displayed.

  7. After all required keys are pressed, click OK on the button in the dialog box that indicates that the test passed.

If the test keyboard is USB-capable, it may be necessary to unplug it from the system and then plug it back into the system to conclude the test.

  8. Click Exit.
  9. When the test is completed, view test log files.
  10. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

To uninstall the Winkey diagnostic driver

Important: It is not necessary to uninstall the Winkey diagnostic driver between Winkey test runs, however, be sure to uninstall it after all Winkey tests have completed. False failures will result if the Winkey diagnostic driver has not be uninstalled before running tests other than Winkey.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey One-Key Combination, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Uninstall Driver.
  5. Follow the instructions displayed to uninstall the Winkey diagnostic driver.
  6. When the uninstall is complete, restart the test system.


Running the Winkey Three-Key Combination test

To install the Winkey diagnostic driver

Important: It is not necessary to install the Winkey diagnostic driver if it was previously installed and was not uninstalled using the Winkey test application.

  1. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Three-Key Combination, and then click Add Selection.
  2. Click Start Tests.
  3. In the Winkey Keyboard Test window, click Install Driver.
  4. Follow the instructions displayed to install the Winkey diagnostic driver.
  5. When the installation is complete, restart the test system.

To run the Winkey Three-Key Combination test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Three-Key Combination, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Keyboard.
  5. In the WHQL Winkey Keyboard Test window, a diagram of the test keyboard is displayed. If the test keyboard does not support all keys displayed in the diagram, remove the unsupported key(s) by clicking the corresponding key(s) on the diagram. The key(s) on the diagram change color from gray to brown when removed.

Tip: To add a key back, click the key on the diagram again. The key on the diagram changes color from brown to gray when the key is added back to the test keyboard.

  6. Follow the directions displayed in the lower pane of the Winkey Keyboard Test window to press the required keys until the test is completed. The required keys are blue to indicate the key to press on the test keyboard. When the correct key is pressed on the test keyboard, the key on the diagram changes color from blue to green.

Tip: To restart a test and delete the test log, in the Winkey Keyboard Test window, click Clear. Follow the instructions displayed.

  7. After all required keys are pressed, click OK to indicate that the test passed.

If the test keyboard is USB-capable, it may be necessary to unplug it from the system and then plug it back into the system to conclude the test.

  8. Click Exit.
  9. When the test is completed, view test log files.
  10. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

To uninstall the Winkey diagnostic driver

Important: It is not necessary to uninstall the Winkey diagnostic driver between Winkey test runs, however, be sure to uninstall it after all Winkey tests have completed. False failures will result if the Winkey diagnostic driver has not be uninstalled before running tests other than Winkey.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Three-Key Combination, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Uninstall Driver.
  5. Follow the instructions displayed to uninstall the Winkey diagnostic driver.
  6. When the uninstall is complete, restart the test system.


Running the Winkey Two-Key Combination test

To install the Winkey diagnostic driver

Important: It is not necessary to install the Winkey diagnostic driver if it was previously installed and was not uninstalled using the Winkey test application.

  1. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Two-Key Combination, and then click Add Selection.
  2. Click Start Tests.
  3. In the Winkey Keyboard Test window, click Install Driver.
  4. Follow the instructions displayed to install the Winkey diagnostic driver.
  5. When the installation is complete, restart the test system.

To run the Winkey Two-Key Combination test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Two-Key Combination, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Keyboard.
  5. In the WHQL Winkey Keyboard Test window, a diagram of the test keyboard is displayed. If the test keyboard does not support all keys displayed in the diagram, remove the unsupported key(s) by clicking the corresponding key(s) on the diagram. The key(s) on the diagram change color from gray to brown when removed.

Tip: To add a key back, click the key on the diagram again. The key on the diagram changes color from brown to gray when the key is added back to the test keyboard.

  6. Follow the directions displayed in the lower pane of the Winkey Keyboard Test window to press the required keys until the test is completed. The required keys are blue to indicate the key to press on the test keyboard. When the correct key is pressed on the test keyboard, the key on the diagram changes color from blue to green.

Tip: To restart a test and delete the test log, in the Winkey Keyboard Test window, click Clear. Follow the instructions displayed.

  7. After all required keys are pressed, click OK to indicate that the test passed.

If the test keyboard is USB-capable, it may be necessary to unplug it from the system and then plug it back into the system to conclude the test.

  8. Click Exit.
  9. When the test is completed, view test log files.
  10. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

To uninstall the Winkey diagnostic driver

Important: It is not necessary to uninstall the Winkey diagnostic driver between Winkey test runs, however, be sure to uninstall it after all Winkey tests have completed. False failures will result if the Winkey diagnostic driver has not be uninstalled before running tests other than Winkey.

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Winkey Two-Key Combination, and then click Add Selection.
  3. Click Start Tests.
  4. In the Winkey Keyboard Test window, click Uninstall Driver.
  5. Follow the instructions displayed to uninstall the Winkey diagnostic driver.
  6. When the uninstall is complete, restart the test system.


Running the DirectInput Mouse test

To run the DirectInput Mouse test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DirectInput Mouse, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Mouse Functionality test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Mouse Functionality, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to move the mouse cursor or click mouse buttons until the test is completed.
  5. View test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Card Reader test

To run the Card Reader test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Card Reader, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed to read each smart card from the PC/SC Compliance Test Card Set until the test is completed.
  5. View test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Warning

Windows XP HCT 10.0 - Input

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.